File Index

Main Page | Alphabetical List | Data Structures | File List | Data Fields | Globals

# _DMXLocalInputInfo Struct Reference

`#include <dmxinputinit.h>`

## Data Fields
const char * | name
DMXLocalInputType | type
DMXLocalInputExtType | extType
int | binding
dmxCreatePrivateProcPtr | create_private
dmxDestroyPrivateProcPtr | destroy_private
dmxInitProcPtr | init
dmxReInitProcPtr | reinit
dmxLateReInitProcPtr | latereinit
dmxGetInfoProcPtr | get_info
dmxOnProcPtr | on
dmxOffProcPtr | off
dmxUpdatePositionProcPtr | update_position
dmxVTPreSwitchProcPtr | vt_pre_switch
dmxVTPostSwitchProcPtr | vt_post_switch
dmxVTSwitchProcPtr | vt_switch
dmxCollectEventsProcPtr | collect_events
dmxProcessInputProcPtr | process_input
dmxUpdateInfoProcPtr | update_info
dmxMCtrlProcPtr | mCtrl
dmxKBCtrlProcPtr | kCtrl
dmxKBBellProcPtr | kBell
pointer | private
int | isCore
int | sendsCore
KeybdCtrl | kctrl
PtrCtrl | mctrl
DeviceIntPtr | pDevice
int | inputIdx
int | lastY
int | head
int | tail
unsigned long * | history
int * | valuators
int | savedMotionEvents
int | savedSendsCore
DMXEventMap | map [DMX_MAP_ENTRIES]
int | mapOptimize
long | deviceId
const char * | deviceName

## Detailed Description

This is the device-independent structure used by the low-level input routines. The contents are not exposed to top-level .c files (except dmxextensions.c).

See also:
  dmxinput.h

  dmxextensions.c

## Field Documentation

int _DMXLocalInputInfo::binding

| Count of how many consecutive structs are bound to the same device

dmxCollectEventsProcPtr _DMXLocalInputInfo::collect_events

| Collect and enqueue events from the device

dmxCreatePrivateProcPtr _DMXLocalInputInfo::create_private

| Create device-dependent private

dmxDestroyPrivateProcPtr _DMXLocalInputInfo::destroy_private

| Destroy device-dependent private

long _DMXLocalInputInfo::deviceId

| device id on remote side, if any

const char* _DMXLocalInputInfo::deviceName

| devive name on remote side, if any

DMXLocalInputExtType _DMXLocalInputInfo::extType

| Extended device type

dmxGetInfoProcPtr _DMXLocalInputInfo::get_info

| Get device information

int _DMXLocalInputInfo::head

| XInput motion history head

unsigned long* _DMXLocalInputInfo::history

| XInput motion history

dmxInitProcPtr _DMXLocalInputInfo::init

| Initialize device

int _DMXLocalInputInfo::inputIdx

| High-level index

int _DMXLocalInputInfo::isCore

| Is a DMX core device

dmxKBBellProcPtr _DMXLocalInputInfo::kBell

| Bell control

KeybdCtrl _DMXLocalInputInfo::kctrl

| Keyboard control

dmxKBCtrlProcPtr _DMXLocalInputInfo::kCtrl

| Keyboard control

int _DMXLocalInputInfo::lastY

| Last known position; for XInput in dmxevents.c

dmxLateReInitProcPtr _DMXLocalInputInfo::latereinit

| Reinitialize a device (called very late during a reconfiguration)

DMXEventMap _DMXLocalInputInfo::map[DMX_MAP_ENTRIES]

| XInput device id map

int _DMXLocalInputInfo::mapOptimize

| XInput device id map optimization

PtrCtrl _DMXLocalInputInfo::mctrl

| Pointer control

dmxMCtrlProcPtr _DMXLocalInputInfo::mCtrl

| Pointer control

const char* _DMXLocalInputInfo::name

| Device name

dmxOffProcPtr _DMXLocalInputInfo::off

| Turn device off

dmxOnProcPtr _DMXLocalInputInfo::on

| Turn device on

DeviceIntPtr _DMXLocalInputInfo::pDevice

| X-level device

pointer _DMXLocalInputInfo::private

| Device-dependent private

dmxProcessInputProcPtr _DMXLocalInputInfo::process_input

| Process event (from queue)

dmxReInitProcPtr _DMXLocalInputInfo::reinit

| Reinitialize device (during a reconfiguration)

int _DMXLocalInputInfo::savedMotionEvents

| Saved motion events

int _DMXLocalInputInfo::savedSendsCore

| Saved sends-core flag

int _DMXLocalInputInfo::sendsCore

| Sends DMX core events

int _DMXLocalInputInfo::tail

| XInput motion history tail

DMXLocalInputType _DMXLocalInputInfo::type

| Device type

dmxUpdateInfoProcPtr _DMXLocalInputInfo::update_info

| Update window layout information

dmxUpdatePositionProcPtr _DMXLocalInputInfo::update_position

| Called when another device updates the cursor position

int* _DMXLocalInputInfo::valuators

| Cache of previous values

dmxVTPostSwitchProcPtr _DMXLocalInputInfo::vt_post_switch

| Called after a VT switch

dmxVTPreSwitchProcPtr _DMXLocalInputInfo::vt_pre_switch

| Called before a VT switch

dmxVTSwitchProcPtr _DMXLocalInputInfo::vt_switch

| Causes a VT switch

The documentation for this struct was generated from the following file:

- dmxinputinit.h